<?php

/**
 * Copyright distrib (2018)
 *
 * contact@opendistrib.net
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\models\Product;
use yii\helpers\ArrayHelper;
use common\models\TaxRate;
use common\models\Producer;

\backend\assets\VuejsDocumentFormAsset::register($this);

?>

<div class="document-form" id="app-document-form" data-class-document="<?= $model->getClass() ?>"
     data-id-document="<?= ($model->id > 0) ? $model->id : $model->id ?>">

        <div class="<?= ($action == 'update') ? 'col-md-6' : '' ?>">
                <div class="panel panel-default">
                        <div class="panel-heading">
                                Général
                        </div>
                        <div class="panel-body">
                                <?php $form = ActiveForm::begin(); ?>
                                <?= $form->field($model, 'name')->label('Nom du document') ?>
                                <?php $usersArray = User::findBy()->all(); ?>
                                <?= $form->field($model, 'id_user', [
                                        'template' => '{label} <a href="' . Yii::$app->urlManager->createUrl(['user/create']) . '" class="btn btn-xs btn-default">Nouvel utilisateur <span class="glyphicon glyphicon-plus"></span></a><div>{input}</div>{hint}',
                                ])
                                        ->dropDownList(
                                                ArrayHelper::map($usersArray, 'user_id', function ($model) {
                                                        return $model['lastname'] . ' ' . $model['name'];
                                                }),
                                                [
                                                        '@change' => 'changeUser',
                                                        'prompt' => '--',
                                                        'v-model' => 'idUser',
                                                ]
                                        ); ?>
                                <?= $form->field($model, 'address')->textarea(['rows' => 3, 'v-model' => 'document.address']) ?>
                                <div class="form-group">
                                        <?= Html::submitButton($model->isNewRecord ? 'Ajouter' : 'Modifier', ['class' => 'btn btn-primary']) ?>
                                </div>
                                <?php ActiveForm::end(); ?>
                        </div>
                </div>
        </div>

        <?php if ($action == 'update'): ?>

                <div class="col-md-6">
                        <div id="" class="info-box">
                                <span class="info-box-icon bg-green"><i class="fa fa-sticky-note-o"></i></span>
                                <div class="info-box-content">
                                        <span class="info-box-text">Référence</span>
                                        <span class="info-box-number">{{ document.reference }}</span>
                                        <span class="info-box-text">Date</span>
                                        <span class="info-box-number">{{ document.date }}</span>
                                </div>
                        </div>
                        <div id="" class="info-box">
                                <span class="info-box-icon bg-yellow"><i class="fa fa-euro"></i></span>
                                <div class="info-box-content">
                                        <span class="info-box-text">Total (TTC)</span>
                                        <span class="info-box-number">{{ formatPrice(total) }}</span>
                                </div>
                        </div>
                        <div id="" class="info-box">
                                <span class="info-box-icon bg-blue"><i class="fa fa-download"></i></span>
                                <div class="info-box-content">
                                        <a href="#" class="btn btn-default">Télécharger (PDF)</a>
                                </div>
                        </div>
                        <div id="" class="info-box">
                                <span class="info-box-icon bg-red"><i class="fa fa-flash"></i></span>
                                <div class="info-box-content">
                                        <a href="#" class="btn btn-default">Action 1</a>
                                        <a href="#" class="btn btn-default">Action 2</a>
                                </div>
                        </div>
                </div>
                <div class="clr"></div>

                <div class="">
                        <div class="panel panel-default" id="block-add-product">
                                <div class="panel-heading">
                                        Ajouter un produit
                                </div>
                                <div class="panel-body">
                                        <div class="col-md-5">
                                                <select class="form-control" v-model="productAddId"
                                                        @change="changeProductAdd">
                                                        <option value="0" selected="selected">--</option>
                                                        <option v-for="product in productsArray" :value="product.id">
                                                                {{ product.name }}
                                                        </option>
                                                </select>
                                        </div>
                                        <template v-if="productAddId > 0">
                                                <div class="col-md-2">
                                                        <div class="input-group">
                                                                <input type="text" class="form-control input-price"
                                                                       v-model="productAddPrice"/>
                                                                <span class="input-group-addon"><span
                                                                            class="glyphicon glyphicon-euro"></span></span>
                                                        </div>
                                                </div>
                                                <div class="col-md-3">
                                                        <div class="input-group input-group-quantity">
                                                                <span class="input-group-btn">
                                                                    <button class="btn btn-default" type="button"
                                                                            @click="changeQuantityProductAdd(-1)">-</button>
                                                                </span>
                                                                <input type="text" class="form-control input-quantity"
                                                                       v-model="productAddQuantity"/>
                                                                <span class="input-group-addon">{{ productsArray[productAddId].wording_unit }}</span>
                                                                <span class="input-group-btn">
                                                                            <button class="btn btn-default"
                                                                                    type="button"
                                                                                    @click="changeQuantityProductAdd(1)">+</button>
                                                                </span>
                                                        </div>
                                                </div>
                                                <div class="col-md-2">
                                                        <button class="btn btn-primary" value="Ajouter"
                                                                @click="submitProductAdd">Ajouter
                                                        </button>
                                                </div>
                                        </template>
                                        <div class="clr"></div>
                                </div>
                        </div>
                        <div class="panel panel-default">
                                <div class="panel-heading">
                                        Produits
                                </div>
                                <div class="panel-body">
                                        <div id="block-list-products">
                                                <table class="table table-bordered">
                                                        <thead>
                                                        <tr>
                                                                <td>Nom</td>
                                                                <td>Prix (unité)</td>
                                                                <td>Quantité</td>
                                                                <td>Total</td>
                                                                <td>Supprimer</td>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <template v-for="order in ordersArray">
                                                                <tr v-for="productOrder in order.productOrder">
                                                                        <td>{{
                                                                                productsArray[productOrder.id_product].name
                                                                                }}
                                                                        </td>
                                                                        <td>{{ formatPrice(productOrder.price) }}</td>
                                                                        <td>{{ productOrder.quantity }}</td>
                                                                        <td>{{ formatPrice(productOrder.quantity *
                                                                                productOrder.price) }}
                                                                        </td>
                                                                        <td><a class="btn btn-default"><span
                                                                                            class="glyphicon glyphicon-trash"></span></a>
                                                                        </td>
                                                                </tr>
                                                        </template>
                                                        <tr>
                                                                <td colspan="3"><strong>Total</strong></td>
                                                                <td><strong>{{ formatPrice(total) }}</strong></td>
                                                                <td></td>
                                                        </tr>
                                                        </tbody>
                                                </table>
                                        </div>
                                </div>
                        </div>
                </div>
        <?php endif; ?>


</div>
